I've create a program,but in "tex (getstring T " ENTER NEW TEXT: "))", if user hit a space bar for create a space between string character,it can't work,the fact this program evaluated next step. How to create added space on string,because character "T" can't help it. ; cmt is stand for create for multiple text ; Design by Ade Suharna <> ; 23 february 2005 ; Program no.202/02/2005 ; Edit by (defun c:cmt (/ cnt num loc ht spa lo tex) (setq cnt 0 num (fix (getreal " HOW MANY ROW WOULD YOU CREATE: ")) loc (getpoint " CLICK LOCATION FOR OBJECT: ") ht (getreal " ENTER NEW HEIGHT TEXT: ") spa (getdist " ENTER GAP BETWEEN A TEXT: ")) (repeat num (setq lo (list (car loc)(- (cadr loc) (* cnt spa))(caddr loc)) tex (getstring T " ENTER NEW TEXT: ")) (entmake (list '(0 . "TEXT") '(8 . "0") ; layer name (cons 10 lo) ; text location (cons 40 ht) ; text height (cons 1 tex) ; name of text '(50 . 0.0) ; text rotation '(41 . 1.0) ; with factor '(51 . 0.0) ; oblique angle '(7 . "Standard") ; text style name '(71 . 0) ; 2 = backward,4 = upside down '(72 . 0) ; horizontal justification '(73 . 0))) ; vertical justification (setq cnt (1+ cnt)) (princ " ")(princ tex) ) )